=== debian/changelog ===
fdb (5.14.0-1) unstable; urgency=medium

  * Drop kfreebsd, ia64 support
  * New upstream  release
  * Now depend on libeckit-dev >=1.25.0-1~, libmetkit-dev >= 1.12.0-1~

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 04 Feb 2025 03:32:04 +0000
