## fdb 5.15.3

=== debian/changelog ===
fdb (5.15.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 13 Feb 2025 17:08:03 +0000

fdb (5.15.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Feb 2025 09:09:23 +0000

fdb (5.15.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 09 Feb 2025 10:00:38 +0000
