=== src/fdb5/CMakeLists.txt ===
--- 
+++ 
@@ -129,6 +129,10 @@
     database/Key.h
     database/ReadVisitor.cc
     database/ReadVisitor.h
+    database/ReindexVisitor.cc
+    database/ReindexVisitor.h
+    database/Reindexer.cc
+    database/Reindexer.h
     database/Report.cc
     database/Report.h
     database/RetrieveVisitor.cc
@@ -204,6 +208,8 @@
     types/TypeInteger.h
     types/TypeMonth.cc
     types/TypeMonth.h
+    types/TypeMonthOfDate.cc
+    types/TypeMonthOfDate.h
     types/TypeYear.cc
     types/TypeYear.h
     types/TypeParam.cc
@@ -452,6 +458,7 @@
     fdb-status
     fdb-lock
     fdb-unlock
+    fdb-reindex
 )
 
 if ( HAVE_GRIB )
@@ -469,8 +476,3 @@
     )
 endif()
 
-foreach( _tool ${fdb5_tools} )
-
-  ecbuild_add_executable( TARGET    ${_tool}
-                          CONDITION HAVE_FDB_BUILD_TOOLS
-                          SOURCES   tools/${_tool}.cc
