=== tests/fdb/tools/CMakeLists.txt ===
--- 
+++ 
@@ -28,8 +28,7 @@
 endforeach()
 
 add_subdirectory( auxiliary )
+add_subdirectory( list )
+add_subdirectory( inspect )
+add_subdirectory( reindex )
 
-add_subdirectory( list )
-
-add_subdirectory( inspect )
-
