=== debian/changelog ===
fdb (5.15.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 21 Feb 2025 18:32:59 +0000
