## fdb 5.15.9

=== src/fdb5/CMakeLists.txt ===
--- 
+++ 
@@ -158,6 +158,8 @@
     io/LustreFileHandle.h
     io/HandleGatherer.cc
     io/HandleGatherer.h
+    io/FieldHandle.cc
+    io/FieldHandle.h
     rules/MatchAlways.cc
     rules/MatchAlways.h
     rules/MatchAny.cc
@@ -472,7 +474,3 @@
     list(APPEND fdb5_tools
         fdb-root
         fdb-overlay
-        fdb-hide
-    )
-endif()
-
