=== debian/changelog ===
fdb (5.15.9-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.2
  * Use PMEM on appropriate archs
  * Change dependence on libeckit to pull in RADOS support
  * Update arch support for RADOS
  * rados.patch: compile changes needed for FileStore -> URIStore
     Under development; currently disabled

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Mar 2025 12:47:31 +0000
