## fdb 5.15.11

=== src/fdb5/CMakeLists.txt ===
--- 
+++ 
@@ -250,6 +250,8 @@
         remote/client/RemoteStore.h
         remote/client/RemoteCatalogue.h
         remote/client/RemoteCatalogue.cc
+        remote/client/ReadLimiter.h
+        remote/client/ReadLimiter.cc
 
         remote/server/AvailablePortList.cc
         remote/server/AvailablePortList.h
@@ -471,6 +473,3 @@
 endif()
 
 if ( HAVE_TOCFDB )
-    list(APPEND fdb5_tools
-        fdb-root
-        fdb-overlay
