=== tests/regressions/CMakeLists.txt ===
--- 
+++ 
@@ -26,5 +26,9 @@
     endif()
 
     add_subdirectory(FDB-241)
+    add_subdirectory(FDB-419)
 
 endif()
+
+# Tests not using the fdb tools
+add_subdirectory(FDB-425)
