=== debian/changelog ===
fdb (5.15.11-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 22 Mar 2025 09:28:50 +0000
