## fdb 5.15.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,11 @@
 
 ########################################################################################################################
 ### dependencies and options
+
+### Documentation
+ecbuild_add_option( FEATURE FDB_DOCUMENTATION 
+                    DEFAULT OFF
+                    DESCRIPTION "Enable documentation generation" )
 
 ### eckit
 
@@ -158,6 +163,9 @@
 add_subdirectory( tests )
 
 ### finalize
+if(ENABLE_FDB_DOCUMENTATION)
+    add_subdirectory(docs)
+endif()
 
 
 ecbuild_install_project( NAME fdb )
