=== docs/requirements.txt ===
Sphinx~=8.1
sphinx-book-theme~=1.1
breathe~=4.35
