=== src/fdb5/CMakeLists.txt ===
--- 
+++ 
@@ -41,6 +41,7 @@
     api/helpers/DumpIterator.h
     api/helpers/ListElement.cc
     api/helpers/ListElement.h
+    api/helpers/ListIterator.cc
     api/helpers/ListIterator.h
     api/helpers/LockIterator.h
     api/helpers/MoveIterator.h
@@ -470,6 +471,3 @@
         fdb-hammer
         fdb-patch
     )
-endif()
-
-if ( HAVE_TOCFDB )
