=== tests/regressions/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,6 @@
         add_subdirectory(FDB-243)
         add_subdirectory(FDB-245)
         add_subdirectory(FDB-251)
-        add_subdirectory(FDB-258)
         add_subdirectory(FDB-260)
         add_subdirectory(FDB-264)
         add_subdirectory(FDB-266)
@@ -26,7 +25,11 @@
     endif()
 
     add_subdirectory(FDB-241)
-    add_subdirectory(FDB-419)
+
+    if (HAVE_FDB_REMOTE)
+        add_subdirectory(FDB-258)
+        add_subdirectory(FDB-419)
+    endif()
 
 endif()
