=== debian/changelog ===
fdb (5.15.12-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 30 Mar 2025 10:44:10 +0100
