=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
 Build-Depends: debhelper-compat (=13),
  architecture-is-64-bit,
  ecbuild (>= 3.3.0-3),
- libeckit-dev (>= 1.25.0-1~),
+ libeckit-dev (>= 1.28.5-2),
  libeccodes-dev,
  libopenjp2-7-dev,
  libmetkit-dev (>= 1.12.0-1~),
  libmetkit-utils ,
  libodc-dev,
  libpmem-dev [amd64 arm64 ppc64el riscv64],
- librados-dev [!sparc64 !ppc64 !alpha !loong64],
+ librados-dev,
  libeccodes-tools
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/ecmwf/fdb
 Vcs-Browser: https://salsa.debian.org/science-team/fdb.git
 Vcs-Git: https://salsa.debian.org/science-team/fdb.git -b debian/latest
