=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,9 @@
 ARCH_PMEM:= amd64 arm64 ppc64el
 DO_PMEM:= $(if $(filter $(DEB_TARGET_ARCH), $(ARCH_PMEM)),ON,OFF)
 
-ARCH_NORADOS:= alpha loong64 ppc64 sparc64
-DO_RADOS:= $(if $(filter $(DEB_TARGET_ARCH), $(ARCH_NORADOS)),OFF,ON)
+ARCH_NORADOS:= alpha ppc64 sparc64
+# DO_RADOS:= $(if $(filter $(DEB_TARGET_ARCH), $(ARCH_NORADOS)),OFF,ON)
+DO_RADOS:= Off
 
 # The magic debhelper  rule
 %:
@@ -25,8 +26,8 @@
 # Disable for now
 BUILD_FLAGS:=  -DENABLE_RPATHS=OFF \
 		-DENABLE_RELATIVE_RPATHS=OFF \
-		-DENABLE_PMEMFDB=OFF \
-		-DENABLE_RADOSFDB=OFF \
+		-DENABLE_PMEMFDB=$(DO_PMEM) \
+		-DENABLE_RADOSFDB=$(DO_RADOS) \
 		-DENABLE_LUSTRE=OFF 
 
 override_dh_auto_configure:
