=== debian/changelog ===
fdb (5.15.15-1) experimental; urgency=medium

  * New upstream release
  * B-D on metkit > 1.31.1. Closes: #1104354

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 02 May 2025 09:36:07 +0100
