=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libeckit-dev (>= 1.28.5-2),
  libeccodes-dev,
  libopenjp2-7-dev,
- libmetkit-dev (>= 1.12.0-1~),
+ libmetkit-dev (>= 1.13.1-1~),
  libmetkit-utils ,
  libodc-dev,
  libpmem-dev [amd64 arm64 ppc64el riscv64],
