=== tests/regressions/CMakeLists.txt ===
--- 
+++ 
@@ -29,6 +29,7 @@
     if (HAVE_FDB_REMOTE)
         add_subdirectory(FDB-258)
         add_subdirectory(FDB-419)
+        add_subdirectory(FDB-491)
     endif()
 
 endif()
