=== debian/changelog ===
fdb (5.17.0-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 Jun 2025 11:38:18 +0100

fdb (5.16.2-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 26 May 2025 05:37:43 +0100

fdb (5.16.1-1) experimental; urgency=medium

  * New upstream release
  * Build-dep on libmetkit-dev >= 1.13.1-2

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 22 May 2025 08:30:33 +0100
