## fdb 5.17.3

=== debian/changelog ===
fdb (5.17.3-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 15 Jul 2025 10:07:04 +0100

fdb (5.17.2-1) experimental; urgency=medium

  * New upstream release
  * dep-on-libc.patch: plugins must link against libc for versioning
  * Add libdaos and tests libs

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 09 Jul 2025 09:37:14 +0100

fdb (5.17.1-1) experimental; urgency=medium

  * New upstream release
  * Add daos: headers and libs
  * Add lintian override on libc warning on dummy lib
  * Replace old FSF address in d/copyright

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 05 Jul 2025 10:27:52 +0100
